#include <bits/stdc++.h>
using namespace std;
void lol(){
    string s,f="";
    cin>>s;
    reverse(s.begin(),s.end());
    for(int i=0;i<s.size();i++){
        if(i==0){
            if(s[i]!='0'){
                if(s[i]=='2'){f=f+'5';
                }else if(s[i]=='5'){f=f+'2';}else{f=f+s[i];}
            }
        }else{
            if(s[i]=='2'){f=f+'5';
            }else if(s[i]=='5'){f=f+'2';}else{f=f+s[i];}
        }
    }
    cout<<f<<endl;
}


int main() {
    int t=1;
   // cin>>t;
    while(t--){
        lol();
    }
    return 0;
}
